--- old/usr/src/cmd/zlogin/zlogin.c	Sat Feb 29 17:13:02 2020
+++ new/usr/src/cmd/zlogin/zlogin.c	Sat Feb 29 17:13:02 2020
@@ -24,7 +24,7 @@
  * Copyright (c) 2014 Gary Mills
  * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
  * Copyright 2019 Joyent, Inc.
- * Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
+ * Copyright 2020 OmniOS Community Edition (OmniOSce) Association.
  */
 
 /*
@@ -115,8 +115,6 @@
 static const char *pname;
 static char *username;
 
-extern int __xpg4;	/* 0 if not an xpg4/6-compiled program */
-
 /*
  * When forced_login is true, the user is not prompted
  * for an authentication password in the target zone.
@@ -770,16 +768,8 @@
 	cc = read(in_fd, ibuf, ZLOGIN_BUFSIZ);
 	if (cc == -1 && (errno != EINTR || dead))
 		return (-1);
-	if (cc == 0) {
-		/*
-		 * A return value of 0 when calling read() on a terminal
-		 * indicates end-of-file pre-XPG4 and no data available
-		 * for XPG4 and above.
-		 */
-		if (__xpg4 == 0)
-			return (-1);
-		return (0);
-	}
+	if (cc == 0)
+		return (-1);	/* EOF */
 	if (cc == -1)	/* The read was interrupted. */
 		return (0);
 
